package models

import (
	"strings"

	"git.paulbsd.com/paulbsd/ipbl/src/config"
)

// GetWhitelists ...
func GetWhitelists(cfg config.Config) (res []string) {
	var w = Cfg{Key: "whitelist"}
	cfg.Db.Get(&w)
	res = strings.Split(w.Value, ",")
	return
}

// Cfg is ipbl config
type Cfg struct {
	ID    int    `xorm:"pk autoincr" json:"-"`
	Key   string `xorm:"text notnull unique" json:"key"`
	Value string `xorm:"text default" json:"value"`
}
